#
# spec file for package rarpd (Version 1.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnet libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rarpd
BuildRequires:  libnet libpcap
License:        Other License(s), see package
Group:          Productivity/Networking/System
Autoreqprov:    on
Version:        1.1
Release:        598.6
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-libnet.diff
Patch1:         %{name}-%{version}-printf.diff
Patch2:         %{name}-%{version}-autoconf.diff
Patch3:         %{name}-%{version}-fix-packet-growth-bug246891.diff
URL:            ftp://ftp.dementia.org/pub/net-tools/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Reverse Address Resolution Protocol Daemon

%description
Rarpd listens on the Ethernet for broadcast packets asking for reverse
address resolution.  These packets are sent by hosts at boot time to
find out their IP addresses.



Authors:
--------
    Derrick Brashear <shadow@dementia.org>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
rm install.sh
%{suse_update_config -f}
aclocal -I cmulocal
automake -afc --foreign
autoconf -I cmulocal
CFLAGS="$RPM_OPT_FLAGS -Wall -fPIE -pie" \
	./configure \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-libnet=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO
%doc %{_mandir}/man?/*
%{_sbindir}/rarpd

%changelog
* Wed Apr 18 2007 - nadvornik@suse.cz
- fixed unlimited packet growth [#246891]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun 21 2005 - ro@suse.de
- build with fPIE/pie
* Tue Feb 24 2004 - mjancar@suse.cz
- send correct server address in the response (#34574)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Jul 28 2003 - mjancar@suse.cz
- fixes for updated libnet
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Sat Jan 13 2001 - vinil@suse.cz
- initial release (v1.1)
